org.keycloak.mappers

## Interface UserFederationMapper

- All Superinterfaces:
    Provider
  All Known Subinterfaces:
    LDAPFederationMapper
  All Known Implementing Classes:
    LDAPFederationMapperBridge

      public interface UserFederationMapper
      extends Provider

  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<UserModel>` | `getGroupMembers(UserFederationMapperModel mapperModel, UserFederationProvider federationProvider, RealmModel realm, GroupModel group, int firstResult, int maxResults)` Return empty list if doesn't support storing of groups
    `UserFederationSyncResult` | `syncDataFromFederationProviderToKeycloak(UserFederationMapperModel mapperModel, UserFederationProvider federationProvider, KeycloakSession session, RealmModel realm)` Sync data from federated storage to Keycloak.
    `UserFederationSyncResult` | `syncDataFromKeycloakToFederationProvider(UserFederationMapperModel mapperModel, UserFederationProvider federationProvider, KeycloakSession session, RealmModel realm)` Sync data from Keycloak back to federated storage

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### syncDataFromFederationProviderToKeycloak

          UserFederationSyncResult syncDataFromFederationProviderToKeycloak(UserFederationMapperModel mapperModel,
                                                                            UserFederationProvider federationProvider,
                                                                            KeycloakSession session,
                                                                            RealmModel realm)

      Sync data from federated storage to Keycloak. It's useful just if mapper needs some data preloaded from federated storage (For example load roles from federated provider and sync them to Keycloak database) Applicable just if sync is supported (see UserFederationMapperFactory.getSyncConfig() )
      Parameters:
        `mapperModel` -
        `federationProvider` -
        `session` -
        `realm` -
      See Also:
        `UserFederationMapperFactory.getSyncConfig()`

    - #### syncDataFromKeycloakToFederationProvider

          UserFederationSyncResult syncDataFromKeycloakToFederationProvider(UserFederationMapperModel mapperModel,
                                                                            UserFederationProvider federationProvider,
                                                                            KeycloakSession session,
                                                                            RealmModel realm)

      Sync data from Keycloak back to federated storage
      Parameters:
        `mapperModel` -
        `federationProvider` -
        `session` -
        `realm` -
      See Also:
        `UserFederationMapperFactory.getSyncConfig()`

    - #### getGroupMembers

          List<UserModel> getGroupMembers(UserFederationMapperModel mapperModel,
                                          UserFederationProvider federationProvider,
                                          RealmModel realm,
                                          GroupModel group,
                                          int firstResult,
                                          int maxResults)

      Return empty list if doesn't support storing of groups

Copyright © 2016 JBoss by Red Hat. All rights reserved.